package Conversion;

my $pkg="Conversion";

use strict;
use My;

#- napojen na databazi
my $dbh=My->dbh;


#- prepocitava hodnotu z mj puvodni na mj novou
sub mj {
   my ($pkg_p, $hodnota,$mjold,$mjnew)=@_;
   # Poznamka Mjconv uzivas primo take v nejakem dotazu jinde a ne jen zde a proto musi obsahovat i pary stejna mj na stejnou s koeficientem 1!!!
   my $sth=$dbh->prepare(q{
      select
         Mjconv.koef
      from
         Zakazky.Mjconv
      where
         mjold=? and
         mjnew=?
   });
   $sth->execute($mjold,$mjnew);
   if($sth->rows>0) {
      my $ref=$sth->fetchrow_hashref;
      $hodnota*=$$ref{koef};
   }
   else {
      $hodnota=undef; # !!! nemenit !!! - stavim na tom napriklad ve fci Akt. vyrobniho postupu, ze pokud neexistuje prevodni mechanismus, tak tato fce vraci undef
   }
   $sth->finish;
   return $hodnota;
}

#- fce vraci pocet kusu se spravnym znamenkem
sub ksznam {
   my ($pkg_p,$ks,$znam)=@_;
   if($znam eq "-") {
      $ks*=-1;
   }
   return $ks;
}


return 1;

