package Maccess_formatfce;

use strict;
use lib ("/home/web-mycompany/www/maccess/bin","/home/web-mycompany/www/lib");

my $pkg="Maccess_formatfce";

use My;
use MyXML;

#============== fce vracejici seznam formatovacich fci ===
sub index_formatfce {
   return (
      # univerzalni
      "bold",
      "style",
      # MyCompany
      "zak",
      "nar",
      "str",
      "oc",
      "uziv"
   );
}

#============== formatovaci fce univerzalni ==============

#- ztucneni hodnoty (ukazkova formatovaci fce)
sub bold {
   my ($pkg_p, $tO,$val,$ffce)=@_;
   if(!defined($tO)) {
      return [
      ];
   }
   if(!length($val)) {
      $val="\x{a0}";
   }
   my $xhtmlO=$tO->aT("xhtml");
   $xhtmlO->aT("b", {}, $val);
}

#- pridani stylu k hodnote (ukazkova formatovaci fce)
sub style {
   my ($pkg_p, $tO,$val,$ffce)=@_;
   if(!defined($tO)) {
      return [
         "style"
      ];
   }
   if(!length($val)) {
      $val="\x{a0}";
   }
   my $xhtmlO=$tO->aT("xhtml");
   $xhtmlO->aT("span", { style => $$ffce{style} }, $val);
}

#============== formatovaci fce Company 1 ===================

use lib ("/home/web-mycompany/www/lib");
use Output;
use Info;

#- formatovani zakazky
sub zak {
   my ($pkg_p, $tO,$val,$ffce)=@_;
   if(!defined($tO)) {
      return [
         "typ",
         "datplat"
      ];
   }
   my $xhtmlO=$tO->aT("xhtml");
   set_env("datum",$$ffce{datplat});
   my $info_zak=Info->zak($val);
   Output->outputzak($xhtmlO,$info_zak,$$ffce{typ});
}

#- formatovani naradi
sub nar {
   my ($pkg_p, $tO,$val,$ffce)=@_;
   if(!defined($tO)) {
      return [
         "typ",
         "datplat"
      ];
   }
   my $xhtmlO=$tO->aT("xhtml");
   set_env("datum",$$ffce{datplat});
   my $info_nar=Info->nar($val);
   Output->outputnar($xhtmlO,$info_nar,$$ffce{typ});
}

#- formatovani str
sub str {
   my ($pkg_p, $tO,$val,$ffce)=@_;
   if(!defined($tO)) {
      return [
         "typ",
         "datplat"
      ];
   }
   my $xhtmlO=$tO->aT("xhtml");
   set_env("datum",$$ffce{datplat});
   my $info_str=Info->str($val);
   Output->outputstr($xhtmlO,$info_str,$$ffce{typ});
}

#- formatovani oc
sub oc {
   my ($pkg_p, $tO,$val,$ffce)=@_;
   if(!defined($tO)) {
      return [
         "typ",
         "datplat"
      ];
   }
   my $xhtmlO=$tO->aT("xhtml");
   set_env("datum",$$ffce{datplat});
   my $info_oc=Info->oc($val);
   Output->outputoc($xhtmlO,$info_oc,$$ffce{typ});
}

#- formatovani uziv
sub uziv {
   my ($pkg_p, $tO,$val,$ffce)=@_;
   if(!defined($tO)) {
      return [
         "typ",
         "datplat"
      ];
   }
   my $xhtmlO=$tO->aT("xhtml");
   set_env("datum",$$ffce{datplat});
   my $info_uziv=Info->uziv($val);
   Output->outputuziv($xhtmlO,$info_uziv,$$ffce{typ});
}

return 1;

